Index: calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision b0255729396432d21645b6eb5083aeb5f15f5ba3)
+++ calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision e95614e66b49c5278e46796a861486dc9f8f0ee4)
@@ -26,6 +26,6 @@
 from sans.calculator.resolution_calculator import ResolutionCalculator 
 from sans.guiframe.events import StatusEvent  
-from calculator_widgets import OutputTextCtrl
-from calculator_widgets import InputTextCtrl
+from sans.perspectives.calculator.calculator_widgets import OutputTextCtrl
+from sans.perspectives.calculator.calculator_widgets import InputTextCtrl
 from wx.lib.scrolledpanel import ScrolledPanel
 from math import fabs
@@ -63,6 +63,6 @@
     
     def __init__(self, parent,  *args, **kwds):
-        kwds["size"]= (PANEL_WIDTH * 2, PANEL_HEIGHT)
-        kwds["style"]= wx.FULL_REPAINT_ON_RESIZE
+        kwds["size"] = (PANEL_WIDTH * 2, PANEL_HEIGHT)
+        kwds["style"] = wx.FULL_REPAINT_ON_RESIZE
         ScrolledPanel.__init__(self, parent, *args, **kwds)
         self.SetupScrolling()
@@ -83,5 +83,5 @@
         self.image = None
         # results of sigmas
-        self.sigma_strings =' '
+        self.sigma_strings = ' '
         #Font size 
         self.SetWindowVariant(variant=FONT_VARIANT)
@@ -149,7 +149,7 @@
         source_list.sort()
         for idx in range(len(source_list)):
-            self.source_cb.Append(source_list[idx],idx)
+            self.source_cb.Append(source_list[idx], idx)
         self.source_cb.SetStringSelection("Neutron") 
-        wx.EVT_COMBOBOX(self.source_cb,-1, self._on_source_selection) 
+        wx.EVT_COMBOBOX(self.source_cb, -1, self._on_source_selection) 
         
         # combo box for color
@@ -161,5 +161,5 @@
         self.wave_color_cb.Append('TOF')
         self.wave_color_cb.SetStringSelection("Monochromatic") 
-        wx.EVT_COMBOBOX(self.wave_color_cb,-1, self._on_source_color) 
+        wx.EVT_COMBOBOX(self.wave_color_cb, -1, self._on_source_color) 
         
         source_hint = "Source Selection: Affect on"
@@ -273,5 +273,5 @@
                                                wx.LEFT, 15),
                                 (self.source_aperture_tcl, 0, wx.LEFT, 15),
-                                    (source_aperture_unit_txt,0, wx.LEFT, 10)])  
+                                (source_aperture_unit_txt, 0, wx.LEFT, 10)])  
 
         
@@ -297,5 +297,5 @@
                                                wx.LEFT, 15),
                                 (self.sample_aperture_tcl, 0, wx.LEFT, 15),
-                                    (sample_aperture_unit_txt,0, wx.LEFT, 10)])  
+                                (sample_aperture_unit_txt, 0, wx.LEFT, 10)])  
 
 
@@ -366,7 +366,7 @@
                                                 sample2detector_distance_hint)
         self.sample2detector_distance_sizer.AddMany([\
-                            (sample2detector_distance_txt, 0, wx.LEFT, 15),        
-                            (self.sample2detector_distance_tcl, 0, wx.LEFT, 15),
-                            (sample2detector_distance_unit_txt,0, wx.LEFT, 10)])  
+                        (sample2detector_distance_txt, 0, wx.LEFT, 15),        
+                        (self.sample2detector_distance_tcl, 0, wx.LEFT, 15),
+                        (sample2detector_distance_unit_txt,0, wx.LEFT, 10)])  
         
     def _layout_detector_size(self):
@@ -688,5 +688,5 @@
         self._layout_image()
         # Add a vertical static line
-        self.main_sizer.Add( wx.StaticLine(self, -1, (2,2), 
+        self.main_sizer.Add( wx.StaticLine(self, -1, (2, 2), 
                             (2,PANEL_HEIGHT * 0.94), style = wx.LI_VERTICAL))
         # Add the plot to main sizer
@@ -718,5 +718,5 @@
         wx.CallAfter(self.on_compute_call, event)
         
-    def on_compute_call(self, event = None):
+    def on_compute_call(self, event=None):
         """
         Execute the computation of resolution
@@ -776,7 +776,10 @@
             sample2sample_distance = self._string2list(sample2sample_distance)
             self.resolution.set_sample2sample_distance(sample2sample_distance)
-            sample2detector_distance = self.sample2detector_distance_tcl.GetValue()
-            sample2detector_distance = self._string2list(sample2detector_distance)
-            self.resolution.set_sample2detector_distance(sample2detector_distance)
+            sample2detector_distance = \
+                                self.sample2detector_distance_tcl.GetValue()
+            sample2detector_distance = \
+                                self._string2list(sample2detector_distance)
+            self.resolution.set_sample2detector_distance(\
+                                                    sample2detector_distance)
             detector_size = self.detector_size_tcl.GetValue()
             detector_size = self._string2list(detector_size)
@@ -827,5 +830,6 @@
         # Compute and get the image plot
         try:
-            from sans.perspectives.calculator.resolcal_thread import CalcRes as thread
+            from sans.perspectives.calculator.resolcal_thread \
+                                                import CalcRes as thread
             self.sigma_strings = '\nResolution: Computation is finished. \n'
             cal_res = thread(func = self._map_func,
@@ -847,9 +851,4 @@
         except:
             raise
-            msg = "An error occured during the resolution computation."
-            msg += "Please check your inputs..."
-            status_type = 'stop'
-            self._status_info(msg, status_type)
-            wx.MessageBox(msg, 'Warning')
             
     def complete(self, image, elapsed=None):
@@ -911,5 +910,6 @@
             detector_qy_max = self.resolution.detector_qy_max
         else:
-            qx_min, qx_max, qy_min, qy_max = self.resolution.get_detector_qrange()
+            qx_min, qx_max, qy_min, qy_max = \
+                                self.resolution.get_detector_qrange()
             # detector range
             detector_qx_min = self.resolution.qxmin_limit
@@ -988,5 +988,5 @@
                                  self.det_coordinate)
         # record sigmas
-        self.sigma_strings += " At Qx = %s, Qy = %s; \n"% (qx_value,qy_value)
+        self.sigma_strings += " At Qx = %s, Qy = %s; \n"% (qx_value, qy_value)
         self._sigma_strings()
         return image
@@ -1170,5 +1170,5 @@
         : return new_string: string like list
         """
-        new_string = []
+        #new_string = []
         msg = "Wrong format of intputs."
         try:
@@ -1206,5 +1206,5 @@
                 #    wx.MessageBox(msg, 'Warning')
 
-    def _on_xy_coordinate(self,event=None):
+    def _on_xy_coordinate(self, event=None):
         """
         Set the detector coordinate for sigmas to x-y coordinate
@@ -1218,5 +1218,5 @@
         self._onparamEnter()
         
-    def _on_rp_coordinate(self,event=None):
+    def _on_rp_coordinate(self, event=None):
         """
         Set the detector coordinate for sigmas to polar coordinate
@@ -1244,5 +1244,5 @@
         self.compute_button.SetToolTipString(label)
         if self.parent.parent != None:
-                wx.PostEvent(self.parent.parent, 
+            wx.PostEvent(self.parent.parent, 
                              StatusEvent(status = msg, type = type ))
 
@@ -1316,5 +1316,5 @@
         """
         if event != None:
-            combo = event.GetEventObject()
+            #combo = event.GetEventObject()
             event.Skip()
         else:
@@ -1339,7 +1339,4 @@
             except:
                 raise
-                msg = "Failed to load the spectrum data file."
-                wx.MessageBox(msg, 'Warning')
-                raise ValueError, "Invalid spectrum file..."
         
         self.resolution.set_spectrum(self.spectrum_dic[selection])
@@ -1349,8 +1346,7 @@
         open a dialog file to select a customized spectrum
         """
-        import os
         dlg = wx.FileDialog(self, 
                 "Choose a wavelength spectrum file: Intensity vs. wavelength",
-                self.parent.parent._default_save_location , "", 
+                self.parent.parent.get_save_location() , "", 
                 "*.*", wx.OPEN)
         path = None
@@ -1368,5 +1364,5 @@
         """
         try:
-            if path==None:
+            if path == None:
                 wx.PostEvent(self.parent.parent, StatusEvent(status=\
                             " Selected Distribution was not loaded: %s"%path))
@@ -1394,4 +1390,7 @@
         
 class ResolutionWindow(wx.Frame):
+    """
+    Resolution Window
+    """
     def __init__(self, parent = None, title = "SANS Resolution Estimator",
                   size=(PANEL_WIDTH * 2, PANEL_HEIGHT), *args, **kwds):
